| Home | Libraries | People | FAQ | More

## Function range_finder

boost::algorithm::range_finder — "Range" finder

## Synopsis

    template<typename ForwardIteratorT>
      unspecified range_finder(ForwardIteratorT Begin, ForwardIteratorT End);
    template<typename ForwardIteratorT>
      unspecified range_finder(iterator_range< ForwardIteratorT > Range);

## Description

Construct the `range_finder`. The finder does not perform any operation. It simply returns the given range for any input.

Parameters: |
`Begin` | Beginning of the range
`End` | End of the range
Returns: | An instance of the `range_finger` object